Package com.google.protobuf

# Interface DescriptorProtos.SourceCodeInfoOrBuilder

All Superinterfaces:
  `GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.SourceCodeInfo>`, `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.SourceCodeInfo`, `DescriptorProtos.SourceCodeInfo.Builder`

Enclosing class:
  `DescriptorProtos`

public static interface DescriptorProtos.SourceCodeInfoOrBuilder extends GeneratedMessage.ExtendableMessageOrBuilder<DescriptorProtos.SourceCodeInfo>

## Method Summary

Modifier and Type
Method
Description
`DescriptorProtos.SourceCodeInfo.Location`
`getLocation(int index)`
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`
`int`
`getLocationCount()`
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`
`List<DescriptorProtos.SourceCodeInfo.Location>`
`getLocationList()`
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`
`DescriptorProtos.SourceCodeInfo.LocationOrBuilder`
`getLocationOrBuilder(int index)`
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`
`List<? extends DescriptorProtos.SourceCodeInfo.LocationOrBuilder>`
`getLocationOrBuilderList()`
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`

### Methods inherited from interface com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder

`getDefaultInstanceForType, getExtension, getExtension, getExtensionCount, hasExtension`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getLocationList

List<DescriptorProtos.SourceCodeInfo.Location> getLocationList()
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`

### getLocation

DescriptorProtos.SourceCodeInfo.Location getLocation(int index)
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`

### getLocationCount

int getLocationCount()
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`

### getLocationOrBuilderList

List<? extends DescriptorProtos.SourceCodeInfo.LocationOrBuilder> getLocationOrBuilderList()
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`

### getLocationOrBuilder

DescriptorProtos.SourceCodeInfo.LocationOrBuilder getLocationOrBuilder(int index)
`repeated .google.protobuf.SourceCodeInfo.Location location = 1 [json_name = "location"];`